package com.ym.library.presenter

import com.ym.library.net.GameApiClient
import com.ym.modulecommon.net.BaseObserver
import com.ym.modulecommon.net.RxSchedulers

object ReportPresenter {
    fun report() {
        GameApiClient.report.report().compose(RxSchedulers.observableIO2Main()).subscribe(object : BaseObserver<Any?>() {
            override fun onSuccess(result: Any?) {

            }

            override fun onFailure(e: Throwable?, code: String?, errorMsg: String?) {
            }
        })
    }
}